summaryrefslogtreecommitdiffstats
path: root/libraries/gnet
diff options
context:
space:
mode:
author Menno Duursma <druiloor@zonnet.nl>2010-05-11 20:00:47 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:47 +0200
commit89d66ec8ac6eae887552ae1c99f5907e7edd6a61 (patch)
treed91f2ed0de9e45fe671972052d19e100d4cb3045 /libraries/gnet
parentcc3177257b826f8394cf6df36b2321431d57cbd0 (diff)
downloadslackbuilds-89d66ec8ac6eae887552ae1c99f5907e7edd6a61.tar.gz
slackbuilds-89d66ec8ac6eae887552ae1c99f5907e7edd6a61.tar.xz
libraries/gnet: Added to 12.0 repository
Diffstat (limited to 'libraries/gnet')
-rw-r--r--libraries/gnet/README20
-rw-r--r--libraries/gnet/gnet.SlackBuild64
-rw-r--r--libraries/gnet/gnet.info8
-rw-r--r--libraries/gnet/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/libraries/gnet/README b/libraries/gnet/README
new file mode 100644
index 0000000000..ff0ca13cb9
--- /dev/null
+++ b/libraries/gnet/README
@@ -0,0 +1,20 @@
+Gnet is a simple network library.
+
+It is written in C, object-oriented, and built upon GLib.
+It is intended to be small, fast, easy-to-use, and easy to port.
+
+GNet Features:
+ * TCP "client" and "server" sockets
+ * UDP and IP Multicast sockets
+ * High-level TCP connection and server objects
+ * Asynchronous socket IO
+ * Internet address abstraction
+ * Asynchronous DNS lookup
+ * IPv4 and IPv6 support
+ * Byte packing and unpacking
+ * URI parsing
+ * SHA and MD5 hashes
+ * Base64 encoding and decoding
+ * SOCKS support
+
+The official IRC channel of the GNet projects is #gnet on irc.gnome.org
diff --git a/libraries/gnet/gnet.SlackBuild b/libraries/gnet/gnet.SlackBuild
new file mode 100644
index 0000000000..c8cd225e23
--- /dev/null
+++ b/libraries/gnet/gnet.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for GNet
+# Written by Menno Duursma <druiloor@zonnet.nl>
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=gnet
+VERSION=2.0.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . -type d -exec chmod 755 {} \;
+find . -type f -exec chmod a-s,go-w {} \;
+
+# Create target documentation dir first
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Build
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --disable-static \
+ --with-html-dir=/usr/doc/$PRGNAM-$VERSION
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+cp -a AUTHORS BUGS COPYING ChangeLog HACKING NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/gnet/gnet.info b/libraries/gnet/gnet.info
new file mode 100644
index 0000000000..7571958c2d
--- /dev/null
+++ b/libraries/gnet/gnet.info
@@ -0,0 +1,8 @@
+PRGNAM="gnet"
+VERSION="2.0.7"
+HOMEPAGE="http://www.gnetlibrary.org/"
+DOWNLOAD="http://www.gnetlibrary.org/src/gnet-2.0.7.tar.gz"
+MD5SUM="3a7a40411775688fe4c42141ab007048"
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="rworkman"
diff --git a/libraries/gnet/slack-desc b/libraries/gnet/slack-desc
new file mode 100644
index 0000000000..e4ace51795
--- /dev/null
+++ b/libraries/gnet/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gnet: Gnet (simple network library)
+gnet:
+gnet: It is writen in C, object-oriented, and built upon GLib.
+gnet: It is intended to be small, fast, easy-to-use, and easy to port.
+gnet:
+gnet: The Gnet homepage is at <http://www.gnetlibrary.org>.
+gnet:
+gnet:
+gnet:
+gnet:
+gnet: